#include <bits/stdc++.h>
using namespace std;
typedef long long ll;

vector<int> solve(vector<int> v)
{
    int n = v.size();
    vector<int> ans;
    ans = {n-1};
    for (int i = 0; i < n-1; i++) ans.push_back(i);
    return ans;
}